keyboard_ucallback(3)

NAME
keyboard_ucallback

SYNOPSIS
#include <allegro.h>

extern int (*keyboard_ucallback)(int key, int *scancode);

DESCRIPTION
Unicode-aware version of keyboard_callback(). If set, this function is called by the keyboard handler in response to every keypress. It is passed the character value and scancode that are about to be added into the input buffer, can modify the scancode value, and returns a new or modified key code. If it both sets the scancode to zero and returns zero, the keypress will be ignored. This routine executes in an interrupt context, so it must be in locked memory.

SEE ALSO
install_keyboard(3), readkey(3), ureadkey(3), keyboard_callback(3), keyboard_lowlevel_callback(3)